Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms
Imports System.IO
Imports ColorCode
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class PageSettings
        Inherits Form

        Private Sub BtnCreatePdf_Click(sender As Object, e As EventArgs) _
            Handles BtnCreatePdf.Click
            Cursor = Cursors.WaitCursor
            Dim file As String = "Document.pdf"

            Try
                ' create a new pdf document
                Dim doc As New PdfDocument()

                ' create a new pdf font
                Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
                font.Size = 18

                ' add a new page to the document 
                ' (with specific page size, margins and orientation)
                Dim page As PdfPage = doc.AddPage(PdfCustomPageSize.A4, _
                                                  New PdfMargins(0.0F), _
                                                  PdfPageOrientation.Portrait)

                ' create a new text element and add it to the page
                Dim text As New PdfTextElement(0, 0, Helper.SomeText(), font)
                page.Add(text)

                ' add a new page to the document
                ' (with specific page size, margins and orientation)
                Dim page2 As PdfPage = doc.AddPage(PdfCustomPageSize.Letter, _
                                                   New PdfMargins(20.0F), _
                                                   PdfPageOrientation.Landscape)

                ' create a new text element and add it to the page
                Dim text2 As New PdfTextElement(0, 0, Helper.SomeText(), font)
                page2.Add(text2)

                ' save pdf document
                doc.Save(file)

                ' close pdf document
                doc.Close()
            Catch ex As Exception
                MessageBox.Show([String].Format("Error: {0}", ex.Message), "Error", _
                                MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Return
            Finally
                Cursor = Cursors.Arrow
            End Try

            ' open generated pdf
            Try
                System.Diagnostics.Process.Start(file)
            Catch
                MessageBox.Show("Could not open generated pdf document", "Error", _
                                MessageBoxButtons.OK, MessageBoxIcon.[Error])
            End Try
        End Sub

        Public Sub New()
            InitializeComponent()
            Try
                ' display highlighted sample code
                Dim code As String = Helper.ReadSourceCode("PageSettings.vb")
                WBSampleCode.DocumentText = New CodeColorizer().Colorize(code, Languages.VbDotNet)
            Catch
                WBSampleCode.DocumentText = "Sample code not available"
            End Try
        End Sub

    End Class
End Namespace
